- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces | Macros | Typedefs | Functions
session.hpp File Reference
`#include <qi/api.hpp>`
`#include <qi/clock.hpp>`
`#include <qi/messaging/serviceinfo.hpp>`
`#include <qi/messaging/authproviderfactory.hpp>`
`#include <qi/messaging/clientauthenticatorfactory.hpp>`
`#include <qi/future.hpp>`
`#include <qi/anyobject.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <vector>`
`#include <string>`

Go to the source code of this file.

## Classes
struct | qi::SessionConfig
class | qi::Session

## Namespaces
| qi
| Deprecated in 2.5. Use int8_t from <cstdint>.

## Macros
#define | _QI_MESSAGING_SESSION_HPP_
#define | pushi(z, n, _) params.push_back(p ## n);
#define | genCall(n, ATYPEDECL, ATYPES, ADECL, AUSE, comma)

## Typedefs
using | qi::SessionPtr = boost::shared_ptr< Session >

## Functions
template<typename... Args>
SessionPtr | qi::makeSession (Args &&...args)
| QI_TYPE_ENUM (qi::Session::ServiceLocality)

## Macro Definition Documentation

#define _QI_MESSAGING_SESSION_HPP_

Definition at line 8 of file session.hpp.

#define genCall | ( |  | n,
|  |  | ATYPEDECL,
|  |  | ATYPES,
|  |  | ADECL,
|  |  | AUSE,
|  |  | comma
| ) |  |

Value:
void loadService( \
const std::string& moduleName, const std::string& renameModule, \
qi::AutoAnyReference pp0 comma \
QI_GEN_ARGSDECLSAMETYPE(n, qi::AutoAnyReference)) \
{ \
std::vector<qi::AnyReference> params; \
params.reserve(n+1); \
params.push_back(pp0); \
BOOST_PP_REPEAT(n, pushi, _) \
loadService(moduleName, renameModule, params); \
} \
template <typename T> \
qi::FutureSync<T> callModule( \
const std::string& moduleName, \
qi::AutoAnyReference pp0 comma \
QI_GEN_ARGSDECLSAMETYPE(n, qi::AutoAnyReference)) \
{ \
std::vector<qi::AnyReference> params; \
params.reserve(n+1); \
params.push_back(pp0); \
BOOST_PP_REPEAT(n, pushi, _) \
return callModule<T>(moduleName, params); \
}
pushi
#define pushi(z, n, _)
Definition: session.hpp:174
QI_GEN_ARGSDECLSAMETYPE
#define QI_GEN_ARGSDECLSAMETYPE(n, t)
Definition: preproc.hpp:470
qi::AutoAnyReference
Definition: anyreference.hpp:409

Definition at line 175 of file session.hpp.

#define pushi | ( |  | z,
|  |  | n,
|  |  | _
| ) |  | params.push_back(p ## n);

Definition at line 174 of file session.hpp.

## Function Documentation

QI_TYPE_ENUM | ( | qi::Session::ServiceLocality |  | ) |